MUNLOCKALL(2)

NAME
munlockall - reenable paging for calling process

SYNOPSIS
#include <sys/mman.h>

int munlockall(void);

DESCRIPTION
munlockall reenables paging for all pages mapped into the address space of the calling process. Memory locks do not stack, i.e., pages which have been locked several times by calls to mlock or mlockall will be unlocked by a single call to munlockall. Pages which are mapped to several locations or by several processes stay locked into RAM as long as they are locked at least at one location or by at least one process. On POSIX systems on which mlockall and munlockall are available, _POSIX_MEMLOCK is defined in <unistd.h> .

RETURN VALUE
On success, munlockall returns zero. On error, -1 is returned and errno is set appropriately.

CONFORMING TO
POSIX.1b, SVr4

SEE ALSO
mlockall(2), mlock(2), munlock(2)